﻿
@{
    ViewBag.Title = "Index";
}

<div class="container">
    <h2> Prochaines formations à suivre </h2>

    @if (((IEnumerable<AvisFormation.Data.FormationAvecAvisDto>)Session["formations"]).Count() > 0)
    {   
        @Html.ActionLink("Vider le panier", "ResetCart", null, new { @class = "btn btn-warning", @style="margin-right:10px;margin-bottom:10px;"})
        @Html.ActionLink("Toutes les formations", "ToutesLesFormations", "Formation", null, new { @class = "btn btn-warning", @style = "margin-right:10px;margin-bottom:10px;" })

        foreach (var dto in ((IEnumerable<AvisFormation.Data.FormationAvecAvisDto>)Session["formations"]))
        {
<article class="info-block" style="position:relative">
    <h4>
        @Html.ActionLink(dto.Formation.Nom, "DetailsFormation", "Formation", new { nomSeo = dto.Formation.NomSeo }, new { @class = "lien-formation" })
    </h4>
    <p>
        @if (dto.Note == 0)
        {
            <span>Aucun Avis</span>
        }
        else
        {
            <span class="glyphicon glyphicon-star yellow"></span>
            if (dto.Note > 1)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            if (dto.Note > 2)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            if (dto.Note > 3)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }
            if (dto.Note > 4)
            {
                <span class="glyphicon glyphicon-star yellow"></span>
            }

            <span>@dto.Note / 5</span>
        }
    </p>
    <p>@dto.Formation.Description</p>
    <div>
        <a href="@Url.Action("Delete", "Cart", new { id = dto.Formation.Id })">
            <div style=" background-color: navajowhite; position: absolute; min-height: 221px; right: 0; top: 0; width: 50px; border-top-right-radius: 10px; border-bottom-right-radius: 10px; text-align: center; display: flex; justify-content: center; align-items: center;">
                <span style="top:23%;" class="glyphicon glyphicon-shopping-cart yellow">
            </div>
        </a>
    </div>
</article>
        }
<div style="display:flex; justify-content:flex-end;">
    @Html.ActionLink("Commander les formations", "ResetCart", null, new { @class = "btn btn-success", @style = "margin-top:10px;margin-bottom:10px;" })
</div>
    }
    else
    {
        <center>
            <img src="https://www.seekpng.com/png/detail/117-1170538_404-your-cart-is-empty.png" />
        </center>
    }
    <br />

</div>